autoRenewPeriod: what does it mean?

Renewed automatically, grace period. The registry renewed the domain at its expiry date. For a period after that, the registrar can still cancel the renewal if the owner does not pay.

Who sets it

The registry, automatically, after expiry.

How to clear it

It ends by itself. The owner renews at the registrar to keep the domain.

How it appears

In WHOIS: autoRenewPeriod. In RDAP: auto renew period.

Questions

Is autoRenewPeriod a problem?

No. It is a normal, temporary state.

Who can remove autoRenewPeriod?

Only the registry. The owner asks the registrar, which asks the registry.

How do I see a domain's status codes?

Look the domain up above. Every status code it carries is listed and explained.

Related status codes

For AI assistants
Status code: autoRenewPeriod (RDAP: auto renew period)
Meaning: The registry renewed the domain at its expiry date. For a period after that, the registrar can still cancel the renewal if the owner does not pay.
Set by: The registry, automatically, after expiry.
To clear: It ends by itself. The owner renews at the registrar to keep the domain.
Source: RFC 5731, RFC 3915, RFC 8056